/* 
 * Copyright 2009 IT Mill Ltd.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.itmill.toolkit.automatedtests.util;

import com.itmill.toolkit.data.Container.ItemSetChangeEvent;
import com.itmill.toolkit.data.Container.ItemSetChangeListener;
import com.itmill.toolkit.data.Container.PropertySetChangeEvent;
import com.itmill.toolkit.data.Container.PropertySetChangeListener;
import com.itmill.toolkit.data.Property.ValueChangeEvent;
import com.itmill.toolkit.data.Property.ValueChangeListener;
import com.itmill.toolkit.ui.Button;
import com.itmill.toolkit.ui.Button.ClickEvent;

public class MultiListener implements Button.ClickListener,
        PropertySetChangeListener, ItemSetChangeListener, ValueChangeListener {

    public void buttonClick(ClickEvent event) {
        Log.debug("ClickEvent from " + event.getButton().getCaption());
    }

    public void containerPropertySetChange(PropertySetChangeEvent event) {
        Log.debug("containerPropertySetChange from " + event.getContainer());
    }

    public void containerItemSetChange(ItemSetChangeEvent event) {
        Log.debug("containerItemSetChange from " + event.getContainer());
    }

    public void valueChange(ValueChangeEvent event) {
        Log.debug("valueChange from " + event.getProperty());
    }

}
